Summary:       Fast, high-quality sample rate conversion library
Name:          zita-resampler
Version:       1.6.2
Release:       %mkrel 1
License:       GPLv3+
Group:         System Environment/Libraries
URL:           http://kokkinizita.linuxaudio.org/linuxaudio/zita-resampler/resampler.html
Source0:       http://kokkinizita.linuxaudio.org/linuxaudio/downloads/zita-resampler-%{version}.tar.bz2
Patch0:        zita-resampler-1.6.2-destdir.patch
BuildRequires: gcc-c++
BuildRequires: libsndfile-devel

%description
zita-resampler is a C++ library for resampling audio signals. It is
designed to be used within a real-time processing context, to be fast,
and to provide high-quality sample rate conversion.

The library operates on signals represented in single-precision
floating point format. For multichannel operation both the input and
output signals are assumed to be stored as interleaved samples.

The API allows a trade-off between quality and CPU load. For the
latter a range of approximately 1:6 is available. Even at the highest
quality setting zita-resampler will be faster than most similar
libraries, e.g. libsamplerate.

%package  devel
Summary:       Development libraries and headers for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{version}-%{release}

%description devel
This package contains the headers and development libraries for %{name}.

%prep
%setup -q
%patch0 -p1 -b .destdir

# To make sure to have the correct Fedora specific flags:
sed -i -e 's|-O[23]|%{optflags} -I../source|' -e 's|ldconfig||' -e 's|-march=native||' source/Makefile
sed -i -e 's|-O[23]|%{optflags} -I../source|' -e 's|-march=native||' apps/Makefile

%build
export LDFLAGS="-L../source $RPM_LD_FLAGS"
make %{?_smp_mflags} -C source
# In order to build apps, we need to create the symlink
# Note that this is originally done at "make install" stage
ln -sf libzita-resampler.so.%{version} source/libzita-resampler.so

make %{?_smp_mflags} -C apps

%install
make DESTDIR=%{buildroot} PREFIX=%{_prefix} LIBDIR=%{_libdir} -C source install
make DESTDIR=%{buildroot} MANDIR=%{_mandir}/man1 PREFIX=%{_prefix} LIBDIR=%{_libdir} -C apps install
/sbin/ldconfig -n %{buildroot}/%{_libdir}
chmod 755 %{buildroot}/%{_libdir}/lib%{name}.so.%{version}


%files
%doc AUTHORS
%{_libdir}/lib%{name}.so.*
%{_bindir}/zresample
%{_bindir}/zretune
%{_mandir}/man1/zresample.1.*
%{_mandir}/man1/zretune.1.*

%files devel
%doc docs/*
%{_includedir}/%{name}
%{_libdir}/lib%{name}.so

%changelog
* Wed Dec 19 2018 adrianomorselli <adrianomorselli> 1.6.2-1uplos2018
- reimported for lost package
